/*
   Program....: Expand.Prg
   System.....: MARVY50.Lib  -  Clipper 5.01 Version
   Author.....: Michael Clerc
   Date.......: Fri  03-05-1993  14:00:39
   Purpose....: Just a little screen fun...
              :
   Syntax.....: Expand( cMessage, nRow, nDelay, nMiddle )
              : cMessage= Message to be displayed
              : nRow    = Row at which to display message
              : nDelay  = Delay for spread effect (optional, default is 8)
              : nMiddle = Column at which to begin spread (optional, default 40)
              :
   Copyright..:           Simply Marvelous Solutions
                                 Mesa, AZ
                       (c) 1993 - All Rights Reserved
*/
Function Expand( cMessage, nRow, nDelay, nMiddle )
Local nMlen, nLoop, cMessage2, nX
nDelay    := If( PCount() < 3,  8, nDelay  )
nMiddle   := If( PCount() < 4, 40, nMiddle )
cMessage2 := ''

nMlen  := Len( cMessage )

For nLoop := 1 to Int( nMlen / 2 )
  cMessage2 = Substr( cMessage, 1, nLoop ) + Substr( cMessage, nMlen + ;
   1 - nLoop, nLoop )
  @ nRow, nMiddle - nLoop Say cMessage2
  For nX := 1 to nDelay
  Next
Next
If ( nMlen % 2 ) = 1
  @ nRow, nMiddle - nLoop Say cMessage
Endif
Return( NIL )
* Eof.........: Expand.Prg
