/*
   Program....: IsState.Prg
   System.....: MARVY50.Lib  -  Clipper 5.01 Version
   Author.....: Michael Clerc
   Date.......: Fri  03-05-1993  14:02:41
   Purpose....: A point and shoot popup window for Valid state entries
   Syntax.....: in Valid...  Valid IsState( cMemvar )
              :
   Copyright..:           Simply Marvelous Solutions
                                 Mesa, AZ
                        (c) 1993 - All Rights Reserved
*/
Function IsState( cEntry )
Local cOldc := SetColor(), nPtr, nTop, nLeft, nBottom, nRight, nRetval
Local aValstate := {"Alabama", "Alaska", "Arizona", "Arkansas", ;
 "California", "Colorado", "Connecticut", "Delaware", "District of Columbia", ;
 "Florida", "Georgia", "Hawaii", "Idaho", "Illinois", "Indiana", "Iowa", ;
 "Kansas", "Kentucky", "Louisiana", "Maine", "Maryland", "Massachusetts", ;
 "Michigan", "Minnesota", "Mississippi", "Missouri", "Montana", "Nebraska", ;
 "Nevada", "New Hampshire", "New Jersey", "New Mexico", "New York", ;
 "North Carolina", "North Dakota", "Ohio", "Oklahoma", "Oregon", "Pennsylvania",;
 "Rhode Island", "South Carolina", "South Dakota", "Tennessee", "Texas",;
 "Utah", "Vermont", "Virginia", "Washington", "West Virginia", "Wisconsin", ;
 "Wyoming"}
Local aStateabr := {"AL", "AK", "AZ", "AR", "CA", "CO", "CT", "DE", "DC", "FL",;
 "GA", "HI", "ID", "IL", "IN", "IA", "KS", "KY", "LA", "ME", "MD", "MA", "MI",;
 "MN", "MS", "MO", "MT", "NE", "NV", "NH", "NJ", "NM", "NY", "NC", "ND", "OH",;
 "OK", "OR", "PA", "RI", "SC", "SD", "TN", "TX", "UT", "VT", "VA", "WA", "WV",;
 "WI", "WY"}

** Check for "Go Back" Entry (UP ARROW)
If Lastkey() = 5
  Return(.T.)
EndIf

** Not this awful thing again...
Cursor(0)

nPtr = Ascan(aStateabr, cEntry)

If nPtr > 0
  Cursor(1)
  Return(.T.)
Else
  Tone(50,3)
  nPtr    := AScan(aStateabr,Subs(cEntry,1,1))
  nTop    := 02
  nLeft   := 28
  nBottom := 21
  nRight  := 47
  nRetval := AChoose(nTop, nLeft, nBottom, nRight, aValstate, nPtr, ;
                     " Valid States ")
  If nRetval = 0
    Tone(50,5)
    SetColor(cOldc)
    Cursor(1)
    Return(.F.)
  Endif

  KeyBoard aStateabr[nRetval] + Chr(13)
  SetColor(cOldc)
  Cursor(1)
  Return(.F.)
Endif
Return(.T.)
** Eof........: IsaState.Prg
