/*
   Program....: TypeBox.Prg
   System.....: MARVY50.Lib  -  Clipper 5.01 Version
   Author.....: Michael Clerc
   Date.......: Fri  03-05-1993  14:05:00
   Purpose....: to allow the selection of one (1) of 11 different box styles
              : used in the Explode() function
   Syntax.....: TypeBox( nStyle )
              : nStyle  = the box border style... explained in the documentation
              :
   Copyright..:           Simply Marvelous Solutions
                                  Mesa, AZ
                        (c) 1993 - All Rights Reserved
*/
Function TypeBox( nStyle )

If Type("nStyle") <> "N"
  nStyle := 1
Endif

Do Case
  Case nStyle = 0
    nStyle := '         '
  Case nStyle = 1
    nStyle := "Ŀ "
  Case nStyle = 2
    nStyle := "ͻȺ "
  Case nStyle = 3
    nStyle := "͸Գ "
  Case nStyle = 4
    nStyle := "ķӺ "
  Case nStyle = 5
    nStyle := ' '
  Case nStyle = 6
    nStyle := 'ķԳ '
  Case nStyle = 7
    nStyle := '͸Ӻ '
  Case nStyle = 8
    nStyle := "ĿӺ "
  Case nStyle = 9
    nStyle := 'ķ '
  Case nStyle = 10
    nStyle := 'ĿԳ '
  Case nStyle = 11
    nStyle := '͸ '
  OtherWise
    nStyle := "Ŀ "
EndCase
Return( nStyle )
** Eof........: TypeBox.Prg
